com.sun.jna.platform.win32

## Interface WinUser.WindowProc

All Superinterfaces:
  AltCallingConvention, Callback, StdCall, StdCallLibrary.StdCallCallback

Enclosing interface:
  WinUser

    public static interface WinUser.WindowProc
    extends StdCallLibrary.StdCallCallback

An application-defined function that processes messages sent to a window. The WNDPROC type defines a pointer to this callback function. WindowProc is a placeholder for the application-defined function name.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`WinDef.LRESULT` `callback(WinDef.HWND hwnd, int uMsg, WinDef.WPARAM wParam, WinDef.LPARAM lParam)`

### Method Detail

#### callback

    WinDef.LRESULT callback(WinDef.HWND hwnd,
                            int uMsg,
                            WinDef.WPARAM wParam,
                            WinDef.LPARAM lParam)

Parameters:
  `hwnd` - [in] Type: HWND A handle to the window.
  `uMsg` - [in] Type: UINT The message. For lists of the system-provided messages, see System-Defined Messages.
  `wParam` - [in] Type: WPARAM Additional message information. The contents of this parameter depend on the value of the uMsg parameter.
  `lParam` - [in] Type: LPARAM Additional message information. The contents of this parameter depend on the value of the uMsg parameter.
Returns:
  the lresult

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.